Subject: Re: [Govpn-devel] build from last tarball

From: [email-masked]
Date: Thu, 14 May 2015 17:11:42 +0300

Greetings,

*** Alan Holt [2015-05-14 16:39]:
>As you saw, it was hard a bit, even to run server and client, so may be
>it's good Idea to make it a bit more user friendly.

The main trouble as I saw is that currently I do not have enough time to
check it with GNU/Linux systems.

>Also, I found on your site, that GoVPN contain web-server that can show
>statistics of server.
>how do I run it?
>what does it show to me? traffic? peers? connection issues?

Yes, exactly that kind of metrics. http://www.cypherpunks.ru/govpn/Stats.html
You just specify -stats host:port argument and that is all. For example:

% curl -q http://localhost:5678/ | jq .
[
  {
    "HeartbeatSent": 1,
    "HeartbeatRecv": 2,
    "LastSent": "2015-05-14T17:09:59.389331817+03:00",
    "LastPing": "2015-05-14T17:09:59.394971856+03:00",
    "Established": "2015-05-14T17:08:47.005758754+03:00",
    "Noncediff": 1,
    "CPR": 0,
    "NoiseEnable": false,
    "Id": "e1cad298c479175daf28169db230d1a6",
    "Addr": {
      "Zone": "",
      "Port": 1194,
      "IP": "1.2.3.4"
    },
    "BytesIn": 8347,
    "BytesOut": 1794,
    "BytesPayloadIn": 6475,
    "BytesPayloadOut": 1326,
    "FramesIn": 72,
    "FramesOut": 18,
    "FramesUnauth": 0,
    "FramesDup": 0
  }
]

-- 
Happy hacking, Sergey Matveev